# coding: utf-8

"""
    OpenAPI definition

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: v0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from java_api_python_client.models.recipe_list_dto import RecipeListDto

class TestRecipeListDto(unittest.TestCase):
    """RecipeListDto unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> RecipeListDto:
        """Test RecipeListDto
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `RecipeListDto`
        """
        model = RecipeListDto()
        if include_optional:
            return RecipeListDto(
                id = '',
                created_at = datetime.datetime.strptime('1975-12-30', '%Y-%m-%d').date(),
                title = '',
                picture = ''
            )
        else:
            return RecipeListDto(
        )
        """

    def testRecipeListDto(self):
        """Test RecipeListDto"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
